org.modeshape.jboss.subsystem

## Class MappedSimpleAttributeDefinition

- java.lang.Object
- - org.jboss.as.controller.AttributeDefinition
  - - org.jboss.as.controller.SimpleAttributeDefinition
    - - org.modeshape.jboss.subsystem.MappedSimpleAttributeDefinition

- All Implemented Interfaces:
    MappedAttributeDefinition

      @Immutable
      public class MappedSimpleAttributeDefinition
      extends org.jboss.as.controller.SimpleAttributeDefinition
      implements MappedAttributeDefinition

- - ### Field Summary

    - ### Fields inherited from class org.jboss.as.controller.AttributeDefinition

      `attributeMarshaller, COMPLEX_TYPES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MappedSimpleAttributeDefinition(org.jboss.as.controller.SimpleAttributeDefinition defn, List<String> pathToFieldInConfiguration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldName()` Get the name of the mapped field in the `RepositoryConfiguration`.
    `List<String>` | `getPathToContainerOfField()` Get the path to the field that contains the mapped field within the `RepositoryConfiguration`.
    `List<String>` | `getPathToField()` Get the path to the field within the `RepositoryConfiguration`.
    `Object` | `getTypedValue(org.jboss.dmr.ModelNode node)` Obtain from the supplied model node value the value that can be used in the RepositoryConfiguration field.
    `protected static Object` | `getTypedValue(org.jboss.dmr.ModelNode node, org.jboss.as.controller.AttributeDefinition defn)`

    - ### Methods inherited from class org.jboss.as.controller.SimpleAttributeDefinition

      `marshallAsAttribute, marshallAsAttribute, marshallAsElement, parse, parseAndSetParameter`

    - ### Methods inherited from class org.jboss.as.controller.AttributeDefinition

      `addAccessConstraints, addAllowedValuesToDescription, addDeprecatedInfo, addOperationParameterDescription, addOperationParameterDescription, addResourceAttributeDescription, addResourceAttributeDescription, convertParameterExpressions, convertStringExpression, correctValue, getAccessConstraints, getAlternatives, getAttributeDeprecatedDescription, getAttributeMarshaller, getAttributeTextDescription, getCorrector, getDefaultValue, getDeprecationData, getFlags, getMeasurementUnit, getName, getNoTextDescription, getParser, getRequires, getType, getValidator, getXmlName, hasAlternative, isAllowed, isAllowExpression, isAllowNull, isDeprecated, isMarshallable, isMarshallable, isNullSignificant, isRequired, isResourceOnly, isValidatingNull, marshallAsElement, resolveModelAttribute, resolveModelAttribute, resolveValue, resolveValue, validateAndSet, validateOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappedSimpleAttributeDefinition

          protected MappedSimpleAttributeDefinition(org.jboss.as.controller.SimpleAttributeDefinition defn,
                                         List<String> pathToFieldInConfiguration)

      Parameters:
        `defn` - the simple attribute definition
        `pathToFieldInConfiguration` - the path to the field within the `RepositoryConfiguration` document

  - ### Method Detail

    - #### getPathToField

          public List<String> getPathToField()

      Description copied from interface: `MappedAttributeDefinition`
      Get the path to the field within the `RepositoryConfiguration`.
      Specified by:
        `getPathToField` in interface `MappedAttributeDefinition`
      Returns:
        the path; never null and never empty

    - #### getPathToContainerOfField

          public List<String> getPathToContainerOfField()

      Description copied from interface: `MappedAttributeDefinition`
      Get the path to the field that contains the mapped field within the `RepositoryConfiguration`.
      Specified by:
        `getPathToContainerOfField` in interface `MappedAttributeDefinition`
      Returns:
        the parent path; never null but possibly empty if the mapped field is at the top-level of the configuration document

    - #### getFieldName

          public String getFieldName()

      Description copied from interface: `MappedAttributeDefinition`
      Get the name of the mapped field in the `RepositoryConfiguration`.
      Specified by:
        `getFieldName` in interface `MappedAttributeDefinition`
      Returns:
        the field name; never null

    - #### getTypedValue

          public Object getTypedValue(org.jboss.dmr.ModelNode node)
                               throws org.jboss.as.controller.OperationFailedException

      Description copied from interface: `MappedAttributeDefinition`
      Obtain from the supplied model node value the value that can be used in the RepositoryConfiguration field.
      Specified by:
        `getTypedValue` in interface `MappedAttributeDefinition`
      Parameters:
        `node` - the model node value
      Returns:
        the field value
      Throws:
        `org.jboss.as.controller.OperationFailedException` - if there was an error obtaining the value from the model node

    - #### getTypedValue

          protected static Object getTypedValue(org.jboss.dmr.ModelNode node,
                             org.jboss.as.controller.AttributeDefinition defn)
                                         throws org.jboss.as.controller.OperationFailedException

      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.